local packer = require("util.packer")

local config = {
  opt_default = true,
  auto_reload_compiled = false,
}


local function plugins(use, plugin)
  -- Bootstrap
  use({ "wbthomason/packer.nvim" })

  -- Explorer
  plugin("nvim-neo-tree/neo-tree.nvim")
  use({
    "MunifTanjim/nui.nvim",
    module = "nui",
  })

  --plugin("nvim-treesitter/nvim-treesitter")
  use({ "nvim-lua/plenary.nvim", module = "plenary" })

  -- Theme: Icons
  use({
    "kyazdani42/nvim-web-devicons",
    module = "nvim-web-devicons",
    config = function()
      require("nvim-web-devicons").setup({ default = true })
    end,
  })

  plugin("nvim-treesitter/nvim-treesitter")

  use({ "nvim-treesitter/playground", cmd = { "TSHighlightCapturesUnderCursor", "TSPlaygroundToggle" } })


end

return packer.setup(config, plugins)
